Method: brands.agents.greetings.get

  • The API to get greeting information for an agent is deprecated and users should migrate away from using it.

  • To retrieve greeting information, a GET request is made to the specified URL using gRPC Transcoding syntax.

  • The request requires a 'name' parameter which is the unique identifier of the greeting.

  • The request body for getting greeting information must be empty.

  • A successful request will return an instance of the Greeting object in the response body.

Deprecated: Greetings are deprecated. Please migrate away from the APIs. Gets the greeting information for an agent.

HTTP request

GET https://businesscommunications.googleapis.com/v1/{name=brands/*/agents/*/greetings/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The unique identifier of the greeting. If the brand ID is "1234", agent ID is "5678", and greeting ID is "abcd", this parameter resolves to "brands/1234/agents/5678/greetings/abcd".

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Greeting.